Subject: Re: bug#79460: [PATCH] eshell: Minor documentation fixes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Sep 2025 14:21:25 +0300

> From: ERIC Frederickson <[email-masked]>
> Date: Tue, 16 Sep 2025 13:44:21 -0500
> 
> I was reading through the Eshell manual today and ran into a couple of
> stumbling blocks: one was a typo, and the other was a small passage of
> phrasing that threw me for a loop. Both are minor issues, but I figured
> I'd write some patches for them, which I've attached to this message.

Thanks.  I'm adding Jim in case he missed your message.

> (Note: this would be my first contribution to emacs.git, so I haven't
> signed any FSF copyright forms yet, but as far as I know that isn't
> necessary if your diffs are only a few lines (as mine are here)).

That's right, we can accept these patches without an assignment.

> (Also, I originally sent this message to [email-masked], and
> realized that this was a mistake upon looking through the CONTRIBUTE
> file. Re-sending it here to the (hopefully) correct location).
> 
> Thank you, (and sorry for the double message,)
> --
> Eric Frederickson
> https://emfred.com
> 
> 
> From cbf1907f8cb73eebd706b676dba9b8c69401e708 Mon Sep 17 00:00:00 2001
> From: Eric Frederickson <[email-masked]>
> Date: Tue, 16 Sep 2025 13:03:15 -0500
> Subject: [PATCH 1/2] eshell: Correct a typo in section 3.3 of the manual
> 
> ---
>  doc/misc/eshell.texi | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/doc/misc/eshell.texi b/doc/misc/eshell.texi
> index 75a459580a9..daaa62719a5 100644
> --- a/doc/misc/eshell.texi
> +++ b/doc/misc/eshell.texi
> @@ -607,7 +607,7 @@ ls is an alias, defined as "*ls $@@*"
>  @group
>  ~ $ alias compile 'apply #''compile $*'
>  ~ $ which compile
> -ls is an alias, defined as "apply #'compile $*"
> +compile is an alias, defined as "apply #'compile $*"
>  @end group
>  @end example
>  
> -- 
> 2.35.1
> 
> 
> 
> From 067d5581264cc60f060f40985cf2e1c1bcb78016 Mon Sep 17 00:00:00 2001
> From: Eric Frederickson <[email-masked]>
> Date: Tue, 16 Sep 2025 13:05:07 -0500
> Subject: [PATCH 2/2] eshell: Fix unclear phrasing in the manual's description
>  of 'eshell-batch-file'
> 
> ---
>  doc/misc/eshell.texi | 5 ++---
>  1 file changed, 2 insertions(+), 3 deletions(-)
> 
> diff --git a/doc/misc/eshell.texi b/doc/misc/eshell.texi
> index daaa62719a5..5d387961204 100644
> --- a/doc/misc/eshell.texi
> +++ b/doc/misc/eshell.texi
> @@ -300,9 +300,8 @@ standard error, you can write to the Eshell virtual target
>  
>  @cindex batch scripts
>  @defun eshell-batch-file
> -This function lets you make an Eshell script file executable from
> -outside of Emacs by adding it to the script's interpreter directive like
> -this:
> +You can use this function in the interpreter directive of an Eshell
> +script file to make the script executable from outside of Emacs:
>  
>  @example
>  #!/usr/bin/env -S emacs --batch -f eshell-batch-file
> -- 
> 2.35.1
>